<?php

/*
Plugin Name: Interpayafrica Payment Gateway
Plugin URI: https://www.interpayafrica.com/
Description: Interpayafrica Payment Gateway Plugin for WooCommerce
Version: 1.0
*/

add_action( 'plugins_loaded', 'cwoa_authorizenet_aim_init', 0 );
function cwoa_authorizenet_aim_init() {
    //if condition use to do nothin while WooCommerce is not installed
	if ( ! class_exists( 'WC_Payment_Gateway' ) ) return;
	include_once( 'interpayafrica-gateway-woocomerce.php' );
	// class add it too WooCommerce
	add_filter( 'woocommerce_payment_gateways', 'ipay_add_payment_gateway' );
	function ipay_add_payment_gateway( $methods ) {
		$methods[] = 'ipay_payment_gateway';
		return $methods;
	}
}
// Add custom action links
add_filter( 'plugin_action_links_' . plugin_basename( __FILE__ ), 'ipay_add_payment_gateway_action_links' );
function ipay_add_payment_gateway_action_links( $links ) {
	$plugin_links = array(
		'<a href="' . admin_url( 'admin.php?page=wc-settings&tab=checkout' ) . '">' . __( 'Settings', 'cwoa-authorizenet-aim' ) . '</a>',
	);
	return array_merge( $plugin_links, $links );
}

?>